function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import { styled } from '../styles/index.js';
export var StyledTable = styled('div', function (_ref) {
  var $theme = _ref.$theme;
  return _objectSpread({}, $theme.borders.border300, {
    borderRadius: $theme.borders.radius200,
    height: '100%',
    width: '100%',
    overflowY: 'auto'
  });
});
StyledTable.displayName = "StyledTable";
export var StyledContent = styled('div', function (_ref2) {
  var $width = _ref2.$width;
  return {
    height: '100%',
    width: $width ? $width : '100%'
  };
});
StyledContent.displayName = "StyledContent";
export var StyledHead = styled('div', function (_ref3) {
  var $theme = _ref3.$theme,
      $width = _ref3.$width;
  return {
    backgroundColor: $theme.colors.tableHeadBackgroundColor,
    boxShadow: $theme.lighting.shadow400,
    display: 'flex',
    flexGrow: 0,
    position: 'sticky',
    top: 0,
    width: $width ? $width : '100%'
  };
});
StyledHead.displayName = "StyledHead";
export var StyledHeadCell = styled('div', function (_ref4) {
  var $theme = _ref4.$theme;
  return _objectSpread({}, $theme.typography.font350, $theme.borders.border300, {
    borderTop: 'none',
    borderBottom: 'none',
    borderLeft: 'none',
    paddingTop: $theme.sizing.scale500,
    paddingRight: 0,
    paddingBottom: $theme.sizing.scale500,
    paddingLeft: $theme.sizing.scale600,
    width: '100%',
    ':last-of-type': {
      borderRight: 'none'
    }
  });
});
StyledHeadCell.displayName = "StyledHeadCell";
export var StyledBody = styled('div', {});
StyledBody.displayName = "StyledBody";
export var StyledRow = styled('div', function (_ref5) {
  var $theme = _ref5.$theme;
  return {
    display: 'flex',
    alignItems: 'center'
  };
});
StyledRow.displayName = "StyledRow";
export var StyledCell = styled('div', function (_ref6) {
  var $theme = _ref6.$theme;
  return _objectSpread({}, $theme.typography.font300, {
    display: 'flex',
    flex: 1,
    paddingTop: $theme.sizing.scale300,
    paddingRight: $theme.sizing.scale600,
    paddingBottom: $theme.sizing.scale300,
    paddingLeft: $theme.sizing.scale600
  });
});
StyledCell.displayName = "StyledCell";